TS2ES(1)

NAME
ts2es - extract a single (elementary) stream from a TS (or PS)

SYNOPSIS
ts2es [switches] <infile> <outfile>

DESCRIPTION

    TS tools version 1.11, ts2es built Nov 11 2008 17:15:45

    Extract a single (elementary) program stream from a Transport Stream (or Program Stream).

  Files:

<infile>
    is an H.222 Transport Stream file (but see -stdin and -pes)

    <outfile> is a single elementary stream file (but see -stdout)

  Which stream to extract:

-pid <pid>
    Output data for the stream with the given <pid>. Use -pid 0x<pid> to specify a hex value

-video
    Output data for the (first) video stream named in the (first) PMT. This is the default.

-audio
    Output data for the (first) audio stream named in the (first) PMT

  General switches:

-stdin
    Input from standard input, instead of a file

-stdout
    Output to standard output, instead of a file Forces -quiet.

-verbose, -v
    Output informational/diagnostic messages

-quiet, -q
    Only output error messages

-max <n>, -m <n>
    Maximum number of TS packets to read

-pes, -ps
    Use the PES interface to read ES units from the input file. This allows PS data to be read (there is no point in using this for TS data). Does not support -pid, -stdin or -stdout.

    TS tools version 1.11, ts2es built Nov 11 2008 17:15:45

    Extract a single (elementary) program stream from a Transport Stream (or Program Stream).

  Files:

<infile>
    is an H.222 Transport Stream file (but see -stdin and -pes)

    <outfile> is a single elementary stream file (but see -stdout)

  Which stream to extract:

-pid <pid>
    Output data for the stream with the given <pid>. Use -pid 0x<pid> to specify a hex value

-video
    Output data for the (first) video stream named in the (first) PMT. This is the default.

-audio
    Output data for the (first) audio stream named in the (first) PMT

  General switches:

-stdin
    Input from standard input, instead of a file

-stdout
    Output to standard output, instead of a file Forces -quiet.

-verbose, -v
    Output informational/diagnostic messages

-quiet, -q
    Only output error messages

-max <n>, -m <n>
    Maximum number of TS packets to read

-pes, -ps
    Use the PES interface to read ES units from the input file. This allows PS data to be read (there is no point in using this for TS data). Does not support -pid, -stdin or -stdout.

SEE ALSO
The full documentation for ts2es is maintained as a Texinfo manual. Please check http://tstools.berlios.de for more information.